<mat-form-field appearance="standard">
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Search" #input>
</mat-form-field>


<div class="mat-elevation-z8">
  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="permitCode">
      <th mat-header-cell *matHeaderCellDef > Permit code </th>
      <td mat-cell *matCellDef="let row"> {{row.permit.permitCode}} </td>
    </ng-container>

    <ng-container matColumnDef="countryB">
      <th mat-header-cell *matHeaderCellDef > Country B </th>
      <td mat-cell *matCellDef="let row"> {{row.permit.countryCoupleYearPermitCount.secondCountry.name.en}} </td>
    </ng-container>

    <ng-container matColumnDef="governmentNumber">
      <th mat-header-cell *matHeaderCellDef > Government number </th>
      <td mat-cell *matCellDef="let row"> {{row.transport.governmentNumber}} </td>
    </ng-container>

    <ng-container matColumnDef="transitCountry">
      <th mat-header-cell *matHeaderCellDef > Transit Country </th>
      <td mat-cell *matCellDef="let row"> {{row.transitCountry}} </td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef > Date </th>
      <td mat-cell *matCellDef="let row"> {{row.createdAt | date : 'dd.MM.yyyy HH:mm:ss'}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator #paginator [pageSizeOptions]="[10, 25, 100]"
                 [pageIndex]="filter.pageNumber"
                 [pageSize]="filter.pageSize"
                 (page)="pageChanged($event)"
                 [length]="totalCount" aria-label="Select page"></mat-paginator>
</div>
